<template>
  <div class="dibs--home--slider--elem">
    <div
      class="dibs--home--slider--elem--wrapper"
      @click="$router.push(localePath({ path: '/export', hash: '#' + link }))"
    >
      <dibs-img :file="photo" :full-size="true" />
      <div class="dibs--home--slider--elem--content">
        <h3 class="dibs--home--slider--elem--title">{{ name }}</h3>
        <ul class="dibs--home--slider--elem--info">
          <li>{{ info1 }}</li>
          <li>{{ info2 }}</li>
        </ul>
      </div>
    </div>
    <a v-if="video" :href="video" target="_blank">
      <dibs-input-help>
        <dibs-picto-video />
      </dibs-input-help>
    </a>
  </div>
</template>
<script>
// import Foo from "~/components/foo.vue";
export default {
  props: {
    photo: {
      type: [String],
      required: true,
    },
    name: {
      type: [String],
      required: true,
    },
    info1: {
      type: [String],
      required: true,
    },
    info2: {
      type: [String],
      required: true,
    },
    video: {
      type: [String],
      required: false,
      default: "",
    },
    link: {
      type: [String],
      required: true,
      default: "",
    },
  },
  data() {
    return {};
  },
  methods: {},
};
</script>
<style></style>
